Summary:       A 4-oscillator subtractive polyphonic synthesizer
Name:          synthv1
Version:       0.3.5
Release:       1%{?dist}
URL:           http://sourceforge.net/projects/%{name}
Source0:       http://downloads.sourceforge.net/project/%{name}/0.1.0/%{name}-%{version}.tar.gz
Patch0:        synthv1-64bitarchs.patch
License:       GPLv2+
Group:         Applications/Multimedia
Requires:      hicolor-icon-theme

BuildRequires: alsa-lib-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: qt4-devel
BuildRequires: lv2-devel >= 1.2.0
BuildRequires: autoconf
BuildRequires: desktop-file-utils

%description
%{name} is a 4-oscillator subtractive polyphonic synthesizer with stereo fx.

%package -n lv2-%{name}
Summary:       An LV2 port of synthv1 
Group:         Applications/Multimedia
Requires:      lv2

%description -n lv2-%{name}
An LV2 plugin of the synthv1 subtractive synthesizer

%prep
%setup -q 
sed -i -e 's|-msse -mfpmath=sse -ffast-math|%{optflags} -fPIC|' synthv1_lv2.pro
sed -i -e 's|-msse -mfpmath=sse -ffast-math|%{optflags} -fPIC|' synthv1_jack.pro
%patch0 -p1 -b .64bitarchs

%build
%configure 
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
chmod +x %{buildroot}%{_libdir}/lv2/%{name}.lv2/%{name}.so

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/update-mime-database %{_datadir}/mime  >& /dev/null ||:

%files 
%doc COPYING AUTHORS README 
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_bindir}/%{name}_jack
%{_datadir}/mime/packages/%{name}.xml

%files -n lv2-%{name}
%{_libdir}/lv2/%{name}.lv2/

%changelog
* Tue Oct 01 2013 Brendan Jones <brendan.jones.it@gmail.com> 0.3.5-1
- Update to 0.3.5

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Brendan Jones <brendan.jones.it@gmail.com> 0.3.4-1
- Update to 0.3.4

* Fri Mar 08 2013 Brendan Jones <brendan.jones.it@gmail.com> 0.3.2-1
- Update to 0.3.2

* Fri Feb 22 2013 Karsten Hopp <karsten@redhat.com> 0.3.0-3
- add s390x and ppc64 to archs using lib64

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jan 10 2013 Brendan Jones <brendan.jones.it@gmail.com> 0.3.0-1
- New upstream release

* Sat Sep 15 2012 Brendan Jones <brendan.jones.it@gmail.com> 0.1.0-1
- Update to 0.1.0

* Wed Aug 29 2012 Brendan Jones <brendan.jones.it@gmail.com> 0.0.9-0.3.svn769
- Update to svn769

* Fri Aug 10 2012 Brendan Jones <brendan.jones.it@gmail.com> 0.0.9-0.2.svn762
- Add missing build requires

* Sun Jul 29 2012 Brendan Jones <brendan.jones.it@gmail.com> 0.0.9-0.1.svn762
- Update to svn762

* Fri Jun 15 2012 Brendan Jones <brendan.jones.it@gmail.com> 0.0.1-0.2.svn671
- Correct URL

* Wed May 16 2012 Brendan Jones <brendan.jones.it@gmail.com> 0.0.1-1
- initial build
